Bug 1574776 (CVE-2018-1117)

Summary: CVE-2018-1117 ovirt-ansible-roles: passwords revealed in ansible log when provisioning new provider
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bmcclain, dblechte, eedri, mgoldboi, michal.skrivanek, omachace, sbonazzo, security-response-team, sherold, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ovirt-ansible-roles 1.0.6 Doc Type: If docs needed, set a value
Doc Text:
Due to a missing no_log directive, the 'Add oVirt Provider to ManageIQ/CloudForms' playbook inadvertently disclosed admin passwords in the provisioning log. In an environment where logs are shared with other parties, this could lead to privilege escalation.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:21:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1571847, 1573166    
Bug Blocks: 1574775    

Description Doran Moppert 2018-05-04 02:42:07 UTC
Due to a missing no_log directive, the 'Add oVirt Provider to ManageIQ/CloudForms' playbook inadvertently disclosed admin passwords in the provisioning log.  In an environment where logs are shared with other parties, this could lead to privilege escalation.

Comment 2 errata-xmlrpc 2018-05-15 09:06:38 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.1

Via RHSA-2018:1452 https://access.redhat.com/errata/RHSA-2018:1452